Subject: Re: bug#60192: [PATCH] gnu: Add python-tcod.

From: Adam Kandur <[email-masked]>
Date: Thu, 26 Jan 2023 17:51:28 -0000

Sure, I will fix my patch and will try to build the package with suggested input (probably next week).On Jan 26, 2023, at 1:51 AM, Ludovic Courtès <[email-masked]> wrote:Hi,Adam Kandur <[email-masked]> skribis:* gnu/packages/game-development.scm (python-tcod): New variable.I suggest the attached changes.However, one comment:+      ;; tests fail for a strange reason+      ;; "ERROR docs/conf.py - FileNotFoundError",+      ;; but this file is in the checkout+      (arguments+       '(#:tests? #f))+      (native-inputs+       (list sdl2+             python-pcpp+             python-pycparser+             python-requests+             python-pytest-runner+             python-pytest-benchmark+             python-pytest-cov))+      (propagated-inputs+       (list python-numpy+             python-typing-extensions+             python-cffi))+      (home-page "https://github.com/libtcod/python-tcod")+      (synopsis+       "This library is a Python cffi port of libtcod")That ‘FileNotFoundError’, could it be because libtcod itself is missing?I would expect libtocd to be in ‘inputs’ since this package providesbindings to libtcod, no?+      (description+       "A high-performance Python port of libtcod.+Includes the libtcodpy module for backwards compatibility with older projects.")Please improve the synopsis and description as per: https://guix.gnu.org/manual/en/html_node/Synopses-and-Descriptions.htmlCould you send an updated patch?Thanks,Ludo’.diff --git a/gnu/packages/game-development.scm b/gnu/packages/game-development.scmindex 304df3bd75..dd08241080 100644--- a/gnu/packages/game-development.scm+++ b/gnu/packages/game-development.scm@@ -2584,11 +2584,12 @@ (define-public python-tcod (package (name "python-tcod") (version "13.9.1")+      (home-page "https://github.com/libtcod/python-tcod") (source (origin (method git-fetch) (uri (git-reference-               (url "https://github.com/libtcod/python-tcod")+               (url home-page) (commit commit) (recursive? #true))) (file-name (git-file-name name version))@@ -2613,7 +2614,6 @@ (define-public python-tcod (list python-numpy python-typing-extensions python-cffi))-      (home-page "https://github.com/libtcod/python-tcod") (synopsis "This library is a Python cffi port of libtcod") (description